Patch a planned expense.
PATCH
/v1/update_expenseBody
| Field | Type | Required | Default | Description |
|---|---|---|---|---|
| budgetId | string | Yes | — | Budget that owns the expense. |
| boxId | string | Yes | — | Id of the parent expense box. |
| expenseId | string | Yes | — | Expense to patch. |
| name | string | No | — | Replacement display name shown in the app. |
| amount | number | No | — | New planned amount. |
| currency | string | No | — | New ISO 4217 currency code. |
| frequency | string | No | — | New cadence (monthly, weekly, …). |
| description | string | No | — | New free-text notes. |
Response data
| Field | Type | Description |
|---|---|---|
| id | string | Id of the planned expense. |
| budgetId | string | Id of the budget this resource belongs to. |
| boxId | string | Id of the parent expense box. |